<html>
<head>
<title>OGRE: Ogre::Log Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Log.html">Log</a></div>
<h1>Ogre::Log Class Reference</h1><!-- doxytag: class="Ogre::Log" --><dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> class for writing debug/log data to files. </dd></dl>
 
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Log-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">OGRE_AUTO_MUTEX&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#3aff6b56352d8bc30c568c5bdffb2919">Log</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, bool debugOutput=true, bool suppressFileOutput=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Usual constructor - called by <a class="el" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a>. </dd></dl>
 <a href="#3aff6b56352d8bc30c568c5bdffb2919"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#7d36bb9b3f6f6890dd78ae503b6ce349">~Log</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Default destructor. </dd></dl>
 <a href="#7d36bb9b3f6f6890dd78ae503b6ce349"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#2d0c4e75fffdb5253da3f77a29616299">getName</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the name of the log.  <a href="#2d0c4e75fffdb5253da3f77a29616299"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#28325483f288f968165ba60866b53fb7">isDebugOutputEnabled</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get whether debug output is enabled for this log.  <a href="#28325483f288f968165ba60866b53fb7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#c6e9cc4e56ce4ead8df405d4769a9cae">isFileOutputSuppressed</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get whether file output is suppressed for this log.  <a href="#c6e9cc4e56ce4ead8df405d4769a9cae"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#41ad772d673872b2bbbf87f1f7c52eca">logMessage</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;message, <a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">LogMessageLevel</a> lml=LML_NORMAL, bool maskDebug=false)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> a message to the debugger and to log file (the default is "&lt;code&gt;OGRE.log&lt;/code&gt;"),.  <a href="#41ad772d673872b2bbbf87f1f7c52eca"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#c374d185fe0498956e466f21916679d8">setDebugOutputEnabled</a> (bool debugOutput)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Enable or disable outputting log messages to the debugger. </dd></dl>
 <a href="#c374d185fe0498956e466f21916679d8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#754bd94c0f311c333bf0eb4ae9bcdf8d">setLogDetail</a> (<a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a> ll)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Sets the level of the log detail. </dd></dl>
 <a href="#754bd94c0f311c333bf0eb4ae9bcdf8d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#69b305f436e85b592fcd34d5b6ee349f">getLogDetail</a> () const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the level of the log detail.  <a href="#69b305f436e85b592fcd34d5b6ee349f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#4af71adcded1cde866f7163855c509cc">addListener</a> (<a class="el" href="classOgre_1_1LogListener.html">LogListener</a> *listener)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Register a listener to this log </dd></dl>
 <a href="#4af71adcded1cde866f7163855c509cc"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#84bf292947fed5a3760a78c391f0484c">removeListener</a> (<a class="el" href="classOgre_1_1LogListener.html">LogListener</a> *listener)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Unregister a listener from this log </dd></dl>
 <a href="#84bf292947fed5a3760a78c391f0484c"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1LogListener.html">LogListener</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#4d3e5e3a53516afde538e8d7891333e0">mtLogListener</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ofstream&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#27317cd9c0fd2f8f2a644cb3f0cb6871">mfpLog</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#ba7baa59f25ba35881b3aa76f2bb5abe">mLogLevel</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#8896298fa5bdf39d3f934dcf2114807c">mDebugOut</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#5b32d16e927bede371262a2c1765c4c1">mSuppressFile</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#ec421acbf213e4363fec4d616d7045e9">mLogName</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Log.html#4d3e5e3a53516afde538e8d7891333e0">mtLogListener</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html#b857a5ace7e3d4443c8843d627a56236">mListeners</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> class for writing debug/log data to files. </dd></dl>

<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd><br>
Should not be used directly, but trough the <a class="el" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a> class. </dd></dl>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00085">85</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="4d3e5e3a53516afde538e8d7891333e0"></a><!-- doxytag: member="Ogre::Log::mtLogListener" ref="4d3e5e3a53516afde538e8d7891333e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1LogListener.html">LogListener</a>*&gt; <a class="el" href="classOgre_1_1Log.html#4d3e5e3a53516afde538e8d7891333e0">Ogre::Log::mtLogListener</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00094">94</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="3aff6b56352d8bc30c568c5bdffb2919"></a><!-- doxytag: member="Ogre::Log::Log" ref="3aff6b56352d8bc30c568c5bdffb2919" args="(const String &amp;name, bool debugOutput=true, bool suppressFileOutput=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OGRE_AUTO_MUTEX Ogre::Log::Log           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>debugOutput</em> = <code>true</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>suppressFileOutput</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Usual constructor - called by <a class="el" href="classOgre_1_1LogManager.html" title="The log manager handles the creation and retrieval of logs for the application.">LogManager</a>. </dd></dl>

<p>

</div>
</div><p>
<a class="anchor" name="7d36bb9b3f6f6890dd78ae503b6ce349"></a><!-- doxytag: member="Ogre::Log::~Log" ref="7d36bb9b3f6f6890dd78ae503b6ce349" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Log::~Log           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Default destructor. </dd></dl>

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="2d0c4e75fffdb5253da3f77a29616299"></a><!-- doxytag: member="Ogre::Log::getName" ref="2d0c4e75fffdb5253da3f77a29616299" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::Log::getName           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return the name of the log. 
<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00112">112</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="28325483f288f968165ba60866b53fb7"></a><!-- doxytag: member="Ogre::Log::isDebugOutputEnabled" ref="28325483f288f968165ba60866b53fb7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Log::isDebugOutputEnabled           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get whether debug output is enabled for this log. 
<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00114">114</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c6e9cc4e56ce4ead8df405d4769a9cae"></a><!-- doxytag: member="Ogre::Log::isFileOutputSuppressed" ref="c6e9cc4e56ce4ead8df405d4769a9cae" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Log::isFileOutputSuppressed           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get whether file output is suppressed for this log. 
<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00116">116</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="41ad772d673872b2bbbf87f1f7c52eca"></a><!-- doxytag: member="Ogre::Log::logMessage" ref="41ad772d673872b2bbbf87f1f7c52eca" args="(const String &amp;message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Log::logMessage           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>message</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#124456c1616299612ac9f46e7d69268d">LogMessageLevel</a>&nbsp;</td>
          <td class="paramname"> <em>lml</em> = <code>LML_NORMAL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>maskDebug</em> = <code>false</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a> a message to the debugger and to log file (the default is "&lt;code&gt;OGRE.log&lt;/code&gt;"),. 
<p>

</div>
</div><p>
<a class="anchor" name="c374d185fe0498956e466f21916679d8"></a><!-- doxytag: member="Ogre::Log::setDebugOutputEnabled" ref="c374d185fe0498956e466f21916679d8" args="(bool debugOutput)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Log::setDebugOutputEnabled           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>debugOutput</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Enable or disable outputting log messages to the debugger. </dd></dl>

<p>

</div>
</div><p>
<a class="anchor" name="754bd94c0f311c333bf0eb4ae9bcdf8d"></a><!-- doxytag: member="Ogre::Log::setLogDetail" ref="754bd94c0f311c333bf0eb4ae9bcdf8d" args="(LoggingLevel ll)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Log::setLogDetail           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a>&nbsp;</td>
          <td class="paramname"> <em>ll</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Sets the level of the log detail. </dd></dl>

<p>

</div>
</div><p>
<a class="anchor" name="69b305f436e85b592fcd34d5b6ee349f"></a><!-- doxytag: member="Ogre::Log::getLogDetail" ref="69b305f436e85b592fcd34d5b6ee349f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a> Ogre::Log::getLogDetail           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the level of the log detail. 
<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00135">135</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4af71adcded1cde866f7163855c509cc"></a><!-- doxytag: member="Ogre::Log::addListener" ref="4af71adcded1cde866f7163855c509cc" args="(LogListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Log::addListener           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1LogListener.html">LogListener</a> *&nbsp;</td>
          <td class="paramname"> <em>listener</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Register a listener to this log </dd></dl>

<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>A</em>&nbsp;</td><td>valid listener derived class </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="84bf292947fed5a3760a78c391f0484c"></a><!-- doxytag: member="Ogre::Log::removeListener" ref="84bf292947fed5a3760a78c391f0484c" args="(LogListener *listener)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::Log::removeListener           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1LogListener.html">LogListener</a> *&nbsp;</td>
          <td class="paramname"> <em>listener</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Unregister a listener from this log </dd></dl>

<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>A</em>&nbsp;</td><td>valid listener derived class </td></tr>
  </table>
</dl>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="27317cd9c0fd2f8f2a644cb3f0cb6871"></a><!-- doxytag: member="Ogre::Log::mfpLog" ref="27317cd9c0fd2f8f2a644cb3f0cb6871" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ofstream <a class="el" href="classOgre_1_1Log.html#27317cd9c0fd2f8f2a644cb3f0cb6871">Ogre::Log::mfpLog</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00088">88</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba7baa59f25ba35881b3aa76f2bb5abe"></a><!-- doxytag: member="Ogre::Log::mLogLevel" ref="ba7baa59f25ba35881b3aa76f2bb5abe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#122d6319a25f910b8b1bf6fe52f91f6b">LoggingLevel</a> <a class="el" href="classOgre_1_1Log.html#ba7baa59f25ba35881b3aa76f2bb5abe">Ogre::Log::mLogLevel</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00089">89</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8896298fa5bdf39d3f934dcf2114807c"></a><!-- doxytag: member="Ogre::Log::mDebugOut" ref="8896298fa5bdf39d3f934dcf2114807c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Log.html#8896298fa5bdf39d3f934dcf2114807c">Ogre::Log::mDebugOut</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00090">90</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5b32d16e927bede371262a2c1765c4c1"></a><!-- doxytag: member="Ogre::Log::mSuppressFile" ref="5b32d16e927bede371262a2c1765c4c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Log.html#5b32d16e927bede371262a2c1765c4c1">Ogre::Log::mSuppressFile</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00091">91</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ec421acbf213e4363fec4d616d7045e9"></a><!-- doxytag: member="Ogre::Log::mLogName" ref="ec421acbf213e4363fec4d616d7045e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Log.html#ec421acbf213e4363fec4d616d7045e9">Ogre::Log::mLogName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00092">92</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b857a5ace7e3d4443c8843d627a56236"></a><!-- doxytag: member="Ogre::Log::mListeners" ref="b857a5ace7e3d4443c8843d627a56236" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Log.html#4d3e5e3a53516afde538e8d7891333e0">mtLogListener</a> <a class="el" href="classOgre_1_1Log.html#b857a5ace7e3d4443c8843d627a56236">Ogre::Log::mListeners</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreLog_8h-source.html#l00095">95</a> of file <a class="el" href="OgreLog_8h-source.html">OgreLog.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreLog_8h-source.html">OgreLog.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:17 2008
</p>
</body>
</html>
